﻿/*
 문자열 치환 함수 정의
 예제:frm.title.value.replaceAll(val + ";", "");
*/
String.prototype.trim = function()
{
  return this.replace(/(^\s*)|(\s*$)/gi, "");
}

String.prototype.replaceAll = function(str1, str2)
{
  var temp_str = "";

  if (this.trim() != "" && str1 != str2)
  {
	temp_str = this.trim();

	while (temp_str.indexOf(str1) > -1)
	{
	  temp_str = temp_str.replace(str1, str2);
	}
  }

  return temp_str;
}

String.prototype.cut = function(len, tail) 
{
    var str = this;
    var l = 0;
    for (var i=0; i<str.length; i++) 
    {
        l += (str.charCodeAt(i) > 128) ? 2 : 1;
        if (l > len) return str.substring(0,i) + tail;
    }
    return str;
}

// 문자열 byte 리턴
function fStrLen(val)
{
	if (val !== "")
	{
		var valLength=0;
		for(var i=0; i<val.length ; i++)
		{
			if( escape(val.charAt(i)).length > 3 )
			{
				vn_length = 2;
			}
			else if (val.charAt(i) == '<' || val.charAt(i) == '>')
			{
				vn_length = 4;
			}
			else
			{
				vn_length = 1 ;
			}
			valLength += vn_length;
		}
	}
	else
	{
		valLength = 0;
	}

	return valLength;
}

//팝업 윈도우
function openPop(theURL,winName,features) { 
  window.open(theURL,winName,features);
}

//팝업 윈도우 Center
function openPopCenter(url, w, h, winName)
{
	if (!winName)
	{
		winName = "openPop";
	}
    var winl = (screen.availWidth - w) / 2;
	var wint = (screen.availHeight - h) / 2;
    window.open(url,winName,'width='+w+', height='+h+',top='+wint+',left='+winl);//+", scrollbars=yes"
}

// 전체 선택, 전체 선택 취소...(checkbox)
function toggleCheck(theFrm,objname,my)
{
	var checkedsw;

	if (my.checked) //취소..sw값이 0일 때
	{
		checkedsw = true;
	}
	else {
		checkedsw = false;
	}
	for( var i=0; i< theFrm.elements.length; i++)
	{
		var e = theFrm.elements[i];
		if(e.name == objname)
			e.checked = checkedsw;
	}
	return;
}

// 리스트 상에서 선택된 것이 있는지 없는지 체크하는 루틴
function checkboxCheck(theFrm,objname)
{
	var submitNoFlag = 1;
	for(i = 0; i < theFrm.elements.length; ++i)
	{		
		if(theFrm.elements[i].name == objname)
		{
			if(theFrm.elements[i].checked == true)
			{
				submitNoFlag = 0;
				break;
			}
		}
	}
	// 선택된 대상이 없는 경우
	if(submitNoFlag == 1) {
		alert("선택된 항목이 없습니다");
		return false;
	}

	return true;
}

// 입력값 자리수 체크하여 다음 입력폼으로 넘기기
function checkLen(current, length, next) {
	if (current.value.length == length){
		next.focus();
	}
}

//number..
function check_num(name)
{
	var tmpval	= name.value;
			
	var objEv = tmpval; 
	var num ="0123456789";
			 
	for (var i=0;i<objEv.length;i++)
	{
		if(-1 == num.indexOf(objEv.charAt(i)))
		{
			alert('숫자가 아닌 문자열을 입력하셨습니다');
			name.value = "";//objEv.substr(0, i);
			name.focus();
			return false;
		}
	}
	return true;
}

//english + number..@
function onlyEng(name) 
{
	var inText = name.value;
	var ret;
	
	if (inText == "")
	{
			alert("입력해 주세요.");
			name.focus();
			return false;
	}

	for (var i = 0; i < inText.length; i++) 
	{
		ret = inText.charCodeAt(i);
		
		if ((ret == 20) || (ret > 122) || (ret < 48) || (ret > 57 && ret < 65) || (ret > 90 && ret < 97)) 
		{
			alert("영숫자만 입력가능합니다.");
			name.value = inText.substr(0, i);
			name.focus();
			return false;
		}
	}
	return true;
}

//english + number + .
function onlyEngDot(name) 
{
	var inText = name.value;
	var ret;

	for (var i = 0; i < inText.length; i++) 
	{
		ret = inText.charCodeAt(i);
		
		if(ret != 46 && ret != 45 && ret != 95 && ret != 126)
		{
			if ((ret > 122) || (ret < 48) || (ret > 57 && ret < 65) || (ret > 90 && ret < 97)) 
			{
				alert("특수문자는 입력할 수 없습니다.");
				name.value = inText.substr(0, i);
				name.focus();
				return false;
			}
		}
	}
	return true;
}

//check special character..@
function specialChk(name, type)
{
	if( type == "admin"){
		var m_Sp = /[$\\@\\\#%\^\&\!\*\(\)\[\]\+\_\{\}\`\~\=\|\""""]/;
	}else{
		var m_Sp = /[$\\@\\\#%\^\&\!\*\(\)\[\]\+\_\{\}\`\~\=\|\""""\"'"]/;
	}
	var m_val = name.value;
	
	if (m_val == "")
	{
			alert("입력해 주세요.");
			name.focus();
			return false;
	}
	
	for (var i = 0; i < m_val.length; i++) 
	{
		var m_char = m_val.charAt(i);
		
		if(m_char.search(m_Sp) != -1) 
		{
			alert("특수문자는 입력할 수 없습니다.");
			name.value = m_val.substr(0, i);
			name.focus();
			return false;
		}
	}
	
	return true;
}

function copy_clip(meintext,msg) {
	if (window.clipboardData)
	{ 
		if (meintext == "" )
		{
				alert("복사할 내용이 없습니다.\n");
				return false;
		}
		// the IE-manier
		window.clipboardData.setData("Text", meintext);

		// waarschijnlijk niet de beste manier om Moz/NS te detecteren;
		// het is mij echter onbekend vanaf welke versie dit precies werkt:
	}
	else if (window.netscape)
	{
		// dit is belangrijk maar staat nergens duidelijk vermeld:
		// you have to sign the code to enable this, or see notes below
		netscape.security.PrivilegeManager.enablePrivilege('UniversalXPConnect');

		// maak een interface naar het clipboard
		var clip = Components.classes['@mozilla.org/widget/clipboard;1'].createInstance(Components.interfaces.nsIClipboard);
		if (!clip) return;

		// maak een transferable
		var trans = Components.classes['@mozilla.org/widget/transferable;1'].createInstance(Components.interfaces.nsITransferable);
		if (!trans) return;

		// specificeer wat voor soort data we op willen halen; text in dit geval
		trans.addDataFlavor('text/unicode');

		// om de data uit de transferable te halen hebben we 2 nieuwe objecten nodig om het in op te slaan
		var str = new Object();
		var len = new Object();

		var str = Components.classes["@mozilla.org/supports-string;1"].createInstance(Components.interfaces.nsISupportsString);

		var copytext=meintext;

		str.data=copytext;

		trans.setTransferData("text/unicode",str,copytext.length*2);

		var clipid=Components.interfaces.nsIClipboard;

		if (!clip) return false;

		clip.setData(trans,null,clipid.kGlobalClipboard);
	}
	if (msg == "") {
		alert("클립보드로 복사하였습니다.\n");
	}
	else {
		alert(msg);
	}
	return false;
}

function chk_radio(obj) {
	var i,q, chk;
	chk = 0;	
	for(i=0; i < obj.length;i++)
	{
		if (obj[i].checked == true )
		{
			chk = 1;
			break;
		}						
	}

	if (chk == 0) {
		alert('선택한 항목이 없습니다');
		return false;
	}	

	return true;
}

function select_change(obj,url) {
	location.href = url + obj.options[obj.options.selectedIndex].value
}

function imgPopUp(img){ 
  img1= new Image(); 
  img1.src=(img); 
  imgControll(img); 
} 

function imgControll(img){ 
  if((img1.width!=0)&&(img1.height!=0)){ 
	viewImage(img); 
  } 
  else{ 
	controller="imgControll('"+img+"')"; 
	intervalID=setTimeout(controller,20); 
  } 
} 

function viewImage(img) {
	var W=img1.width;
	var H=img1.height;
	var S  = "no";

	if (screen.width < W || screen.height < H)
	{
		S = "yes";

		if(screen.width <= W)
		{
			W = screen.width - 17;
		}
		else
		{
			W = W + 17;
		}
		
		if(screen.height <= H)
		{
			H = screen.height - 40;
		}
		else
		{
			H = H + 17;
		}
	}

	var winl = (screen.width - W) / 2 - 5;
	var wint = (screen.height - H) / 2 - 10;
	
	O="width="+W+",height="+H+",top="+wint+",left="+winl + ",scrollbars=" + S;

	imgWin=window.open("","",O);
	
	imgWin.document.write("<html><meta http-equiv='Content-Type' content='text/html; charset=utf-8'><head><title>img preview</title></head>");
	imgWin.document.write("<body topmargin=0 leftmargin=0>");
	imgWin.document.write("<img src='"+img+"' onclick='self.close()' style='cursor:hand'>");
	imgWin.document.write("</body></html>");
	imgWin.document.close();
}

function resize_img(obj,num)
{
 if(document.all) {
  var width = eval('obj.width');
  if( width > num )
  {
    eval('obj.width = ' + num);
  }
 }
 else {
  var width = eval("obj.width");
  if( width > num )
  {
    eval("obj.width = " + num);
  }
 }
}

function fnPreImgClick(imgobj, fileobj) {
	imgobj.src = fileobj.value;
}

function getExtend(filename) {
    temp_image=filename.split(".");
    size=temp_image.length;
    return temp_image[size-1];
}

/*
현재 시간 출력하기
*/
function TimeDate(id) 
{
	currentDate = new Date();				//실제 시간과 날짜 얻기

	hours = currentDate.getHours();       //시간과 날짜 부분 나누기
	minutes = currentDate.getMinutes();
	sec = currentDate.getSeconds();

	year = (currentDate.getYear());
	if (document.layers){
	year = year + 1900;
	}
	month = (currentDate.getMonth() + 1);
	day = currentDate.getDate();

	clock = 0; 

	window.document.getElementById(id).innerHTML = year + '-' + month + '-' + day + ' ' + hours + ':' + minutes + ':' +  sec;
	window.setTimeout ("TimeDate()",1000);   
}

function replace( str, pattern, replace) {  
	   var s = 0; 
	   var e = 0; 
	   var result = "";

	   while ((e = str.indexOf(pattern, s)) >= 0) { 
		   result = result + str.substring(s, e);
		   result = result + replace; 	
		   s = e + pattern.length;  
	   }  
	    result = result + str.substring(s);
	   return result;
}  

// TEXT BOX 의 값을 받아서 특정문자를 삭제한다.
// arg0 : 폼의 값, arg1 : 제거대상
// 사용법 : removeStr(document.form_name.input_name.value, '제거대상');
// form.con_fdate.value = removeStr(form.con_fdate.value, '/');

function removeStr( arg0, arg1 )
{
    if( arg0 == "" || arg1 == "" ) return "";

    var str = arg0;

    var i = 0;
    var pos_str = 0;
    var rtn_str = "";

    while( i < str.length ) {
        pos_str = str.indexOf(arg1,i);

        if( pos_str == -1 ) {
            rtn_str += str.substring(i, str.length );
            break;
        }else {
            rtn_str += str.substring(i, pos_str );
            i = pos_str+1;
        }
    }
    return rtn_str;
}

//number..
function OnlyNumber()
{
   if((event.keyCode<48 || event.keyCode>57) && event.keyCode!=13)
      event.returnValue=false;
}

//숫자가 아닌 텍스트를 입력시에 바로 얼럿창
function checkNumber(obj){
	if(isNaN(obj.value)){
		alert("숫자만 입력해주세요.");
		obj.value="";
		obj.focus();
		return;
	}
}
//이메일체크 
function emailCheck(obj,val)
{
    var exclude=/[^@\-\.\w]|^[_@\.\-]|[\._\-]{2}|[@\.]{2}|(@)[^@]*\1/; 
    var check=/@[\w\-]+\./; 
    var checkend=/\.[a-zA-Z]{2,3}$/; 
    
    if (obj.value==""){
        alert("이메일을 입력해 주세요.");
        obj.focus();
        return false;
    }else
    {
      if(((obj.value.search(exclude) != -1)||(obj.value.search(check)) == -1)||(obj.value.search(checkend) == -1)){ 
        alert("정상적인 이메일 주소를 넣어주세요."); 
        obj.value="";
        obj.focus();
        return false;
     } 
    }
}
// 최근 1주일이 선택되면 날짜 변경 및 전체 체크 해제
function chkLimit(frm,limit) {

	frm.sch_all.checked=false;
	today = new Date();

	frm.myy.value = today.getYear();
	frm.mmm.value = today.getMonth()+1;
	frm.mdd.value = today.getDate();

	if (limit == 1)
	{
		schday = new Date(today.getYear(), today.getMonth(), today.getDate()-7);
	}else if (limit == 2){
		schday = new Date(today.getYear(), today.getMonth(), today.getDate()-14);
	}else{
		schday = new Date(today.getYear(), today.getMonth()-1, today.getDate());
	}

	frm.nyy.value = schday.getYear();
	frm.nmm.value = schday.getMonth()+1;
	frm.ndd.value = schday.getDate();
}

//날짜가 선택되면 다른조건 체크 해제
function dateSch(frm){
		for (i=0;i<=2;i++)
		{
			frm.schlimit[i].checked = false;
		}
	frm.sch_all.checked = true;
}

// 체크박스 전체선택 취소 체크 value 관련

	function allCheck(frm, eleName, strName)
	{
		
		var objLength = frm.elements.length;
		var objCount = 0;
		
		if (objLength != null)
		{
			for (var i = 0; i < objLength; i++)
			{
				if (frm.elements[i].name == strName)
					++objCount;
			}
			
			if (objCount > 0)
			{
				var chkState = frm.elements[eleName].checked;
				var eleLength = frm.elements[strName].length;
				
				if (eleLength == null)
					frm.elements[strName].checked = chkState;
				else
				{
					for (var i = 0; i < eleLength; i++)
						frm.elements[strName][i].checked = chkState;
				}
			}
		}
	}
	
	// check if choose check box 
	var chkCount;
	function eleChkCount(frm, eleName)
	{
		var objLength = frm.elements.length;
		objCount = 0;		
		chkCount = 0;
		

		if (objLength != null)
		{
			for (var i = 0; i < objLength; i++)
			{
				if (frm.elements[i].name == eleName)
					++objCount;
			}
			
			if (objCount > 0)
			{
				var eleLength = frm.elements[eleName].length;
				var IsState = false;
				
				if (eleLength == null)
				{
					if (frm.elements[eleName].checked)
					{
						chkCount++;
						IsState = true;
					}
						
				} else
				{
					for (var i = 0; i < eleLength; i++)
					{
						if (frm.elements[eleName][i].checked)
						{
							IsState = true;
							chkCount++;
							//break;
						}
					}
				}

				return IsState;

			}
		}
	}

	// take check box value
	function eleChkValue(frm, eleName)
	{
		var objLength = frm.elements.length;
		objCount = 0;
		chkCount = 0;
		if (objLength != null)
		{
			for (var i = 0; i < objLength; i++)
			{
				if (frm.elements[i].name == eleName)
					++objCount;
			}
			
			if (objCount > 0)
			{
				var eleLength = frm.elements[eleName].length;
				var IsState = "";
				
				if (eleLength == null)
				{
					if (frm.elements[eleName].checked)
						IsState = IsState + frm.elements[eleName].value + ",";
						chkCount++;
						
				}
				else
				{
					for (var i = 0; i < eleLength; i++)
					{
						if (frm.elements[eleName][i].checked)
						{
						
							IsState = IsState + frm.elements[eleName][i].value + ",";
							chkCount++;
							
						}
					}
				}
				
				return IsState;
			}
		}
	}

// 체크박스 전체선택 취소 체크 value 관련

function closeWindowIE7()
{
    if (/MSIE/.test(navigator.userAgent))
    {
        if(navigator.appVersion.indexOf('MSIE 7.0')>=0)
        {
            window.open('about:blank','_self').close();
        }
        else
        {
            window.opener = self;
            self.close();
        }
    }
}

// 문자열 검사 : 한글/영문
function chr_byte(chr){
    if(escape(chr).length > 4)      return 2;
    else                            return 1;
}

// 문자열 자르기 : byte만 표시
function cutStr(str, limit){
    var tmpStr = str;
    var byte_count = 0;
    var len = str.length;
    var dot = "";
    
    for(i=0; i<len; i++){
        byte_count += chr_byte(str.charAt(i)); 
        if(byte_count == limit-1){
            if(chr_byte(str.charAt(i+1)) == 2){
                tmpStr = str.substring(0,i+1);
                dot = "...";
            }
            else {
                if(i+2 != len) dot = "...";
                tmpStr = str.substring(0,i+2);
            }
            break;
        }
        else if(byte_count == limit){
            if(i+1 != len) dot = "...";
            tmpStr = str.substring(0,i+1);
            break;
        }
    }
    
    return (tmpStr+dot);
}

function nlb(str) {
	if(str==null || typeof(str)=="undefinded") return "";
	return str;
}

function nlz(num) {
	if(num==null || typeof(num)=="undefinded" || num=="") return 0;
	return num.replace(/[^0-9\.]/gi, '');
}

function nlsp(str) {
	if(str==null || typeof(str)=="undefinded" || str=="") return "&nbsp;";
	return str;
}

function comma(x) {
    return x.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
}
